#ifndef __AINPUT_H
#define __AINPUT_H

class AstInputDevice
{
  public:
    virtual ~AstInputDevice() {}

    virtual bool IsAvailable( void ) const = 0;
    virtual void Update( void ) = 0;
};

class Ast2DInputDevice : public AstInputDevice
{
  protected:
    AstFixedpoint_t x, y;
    char            buttons;
  public:

    virtual AstFixedpoint_t GetX( void ) const { return x; }
    virtual AstFixedpoint_t GetY( void ) const { return y; }
    virtual char GetButtons( void ) const { return buttons; }
};

#endif
