#ifndef __AMISSILE_H
#define __AMISSILE_H

class AstMissile : public AstDrifter
{
    bool inflight;
    int  alive;

    enum { lifetime = 50 };

  public:
    AstMissile( void ) : AstDrifter( "missile" )
    {
       inflight = false;
       alive    = 0;
    }

    virtual bool DetermineVisibility( void );
    virtual void DoSomething( void );
    virtual void YouHit( AstObject *object );

    void FizzleOut( void );
    void Fly( void ) { alive = 0; inflight = true; SetFlag( ofSolid, true ); }
    bool InFlight( void ) const { return inflight; }
};

#endif
