#include "ast3d.h"

/*
** bool AstTextureMap::Load( const char *filename )
**
** This function is a hook to load the specified texture from disk
** and store in a 64x64 bitmap.  Because of the complexity of writing
** a file converter, this simply creates a set of color bars in a
** bitmap.  This function can be changed later to actually load files
** from disk when necessary without affecting the rest of the code
** in the system.
*/
bool AstTextureMap::Load( const char * )
{
char  scratch_buf[width];

   for ( int scratch = 0; scratch < width; scratch++ )
      scratch_buf[scratch] = ( char ) scratch;

   for ( int i = 0; i < width; i++ )
      memcpy( data[i], scratch_buf, sizeof( scratch_buf ) );

   return true;
}

